Module java.desktop
Package javax.swing.colorchooser

## Class ColorChooserComponentFactory

- java.lang.Object
- - javax.swing.colorchooser.ColorChooserComponentFactory

    public class ColorChooserComponentFactory
    extends Object

A class designed to produce preconfigured "accessory" objects to insert into color choosers.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

### Method Summary

All Methods Static Methods Concrete Methods
`static AbstractColorChooserPanel[]` `getDefaultChooserPanels()` Returns the default chooser panels.
`static JComponent` `getPreviewPanel()` Returns the preview panel.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getDefaultChooserPanels

    public static AbstractColorChooserPanel[] getDefaultChooserPanels()

Returns the default chooser panels.

Returns:
  the default chooser panels

#### getPreviewPanel

    public static JComponent getPreviewPanel()

Returns the preview panel.

Returns:
  the preview panel